## httpie 0.1.6+20120309git

=== debian/changelog ===
httpie (0.1.6+20120309git-2.1) unstable; urgency=low

  [ Evgeni Golov ]
  * Non-maintainer upload.
  * Add python-pkg-resources to Depends
    Closes: #681316
  * Add explicit Depends on python-requests (>= 0.10.4), not only
    Build-Depends.
    Closes: #663506
  * Add *.egg-info to debian/clean, to fix FTBFS twice in a row.
    Closes: #682076

  [ Scott Kitterman ]
  * Dropped unneeded revision from python-requests depends

 -- Scott Kitterman <scott@kitterman.com>  Thu, 26 Jul 2012 13:37:28 -0400

httpie (0.1.6+20120309git-2) unstable; urgency=low

  * Depends on exact version of python-requests (Closes: #663506) 

 -- Bartosz Fenski <fenio@debian.org>  Sat, 24 Mar 2012 17:43:02 +0100

httpie (0.1.6+20120309git-1) unstable; urgency=low

  * Initial release (Closes: #663184) 

 -- Bartosz Fenski <fenio@debian.org>  Fri, 09 Mar 2012 09:23:08 +0100
