=== debian/control ===
Source: httpie
Section: web
Priority: extra
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 0.10.4), python-argparse, python-pkg-resources, python-all
Standards-Version: 3.9.2
Homepage: http://httpie.org

Package: httpie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-requests (>= 0.10.4)
Description: CLI, cURL-like tool for humans
 HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
 services as human-friendly as possible.
 .
 HTTPie does so by providing an http command that allows for issuing 
 arbitrary HTTP requests using a simple and natural syntax and 
 displaying colorized responses.
