## httpie 0.3.1

=== debian/changelog ===
httpie (0.3.1-1) unstable; urgency=low

  * The Akamai Technologies paid volunteer days release.
  * Includes manual page (Closes: #673067) 
    Courtesy of Khalid El Fathi <khalid@elfathi.fr>. Thanks!
  * New upstream version. (Closes: #693810)
    - handles binary transfers properly (Closes: #689974)

 -- Bartosz Fenski <fenio@debian.org>  Thu, 20 Dec 2012 14:27:59 +0100
