=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: extra
 Maintainer: Bartosz Fenski <fenio@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 0.10.4), python-argparse, python-pkg-resources, python-all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://httpie.org
+Vcs-Git: git://github.com/jkbr/httpie.git
+Vcs-Browser: https://github.com/jkbr/httpie.git
 
 Package: httpie
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-requests (>= 0.10.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: CLI, cURL-like tool for humans
  HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
  services as human-friendly as possible.
