## httpie 0.7.1

=== debian/changelog ===
httpie (0.7.1-0.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * New upstream release.
     + Work with python-requests >= 1.0. Closes: #707994.
  * Drop Vcs-* lines in debian/control. This is not the VCS for Debian
    packaging.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Nov 2013 20:36:26 +0100
