=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 0.10.4), python-argparse, python-pkg-resources, python-all
 Standards-Version: 3.9.3
 Homepage: http://httpie.org
-Vcs-Git: git://github.com/jkbr/httpie.git
-Vcs-Browser: https://github.com/jkbr/httpie.git
 
 Package: httpie
 Architecture: any
