## httpie 0.8.0

=== debian/changelog ===
httpie (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * ACK previous NMU - thanks Vincent!
  * Bumped Standards-Version (no changes needed).
  * Obsolete options has been removed from manpage (Closes: #700214).
  * Provides symlink https -> http (Closes: #737642)

 -- Bartosz Fenski <fenio@debian.org>  Tue, 04 Feb 2014 18:05:59 +0100
