=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: extra
 Maintainer: Bartosz Fenski <fenio@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 0.10.4), python-argparse, python-pkg-resources, python-all
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 2.0.0), python-argparse, python-pkg-resources, python-all, python-tox, python-docutils
+Standards-Version: 3.9.5
 Homepage: http://httpie.org
 
 Package: httpie
