=== debian/watch ===
version=3
https://github.com/jkbr/httpie/tags .*/tarball/(\d[\d\.]+)
