## httpie 0.9.2

=== debian/changelog ===
httpie (0.9.2-1) unstable; urgency=low

  * ACK previous NMU, thanks a lot Vincent!
  * Bumped required python-requests version (Closes: #802540)

 -- Bartosz Fenski <fenio@debian.org>  Mon, 14 Dec 2015 15:39:37 +0100

httpie (0.9.2-0.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's authorization.
  * New upstream release. Closes: #785616.
     + This new release supports SNI. Closes: #751568.
     + Remove https symlink. This feature is not supported anymore.
     + Add build dependency to dh-python.
     + Disable tests for now, they need pytest-httpbin.
     + Remove build dependency to tox (unused).
     + Force "pybuild" build system for debhelper (instead of makefile).
     + Update debian/copyright.
  * Switch httpie package to "Architecture: all", as it is pure
    Python. Closes: #750179.
  * Update debian/watch.
  * Bump Standards-Version to 3.9.6.
  * Add https(1) manual page as an alias to http(1).

 -- Vincent Bernat <bernat@debian.org>  Thu, 28 May 2015 20:30:17 +0200
