=== debian/control ===
Source: httpie
Section: web
Priority: extra
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dh-python,
               python-setuptools,
               python-pygments,
               python-requests (>= 2.5.2),
               python-argparse,
               python-pkg-resources,
               python-all,
               python-docutils
Standards-Version: 3.9.6
Homepage: http://httpie.org

Package: httpie
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: CLI, cURL-like tool for humans
 HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
 services as human-friendly as possible.
 .
 HTTPie does so by providing an http command that allows for issuing 
 arbitrary HTTP requests using a simple and natural syntax and 
 displaying colorized responses.
