=== debian/watch ===
version=3
https://github.com/jkbr/httpie/tags .*/(\d[\d\.]+).tar.gz
