=== debian/changelog ===
httpie (0.9.8-2) unstable; urgency=low

  * Switched to python3 (Closes: #830305, #869221)

 -- Bartosz Fenski <fenio@debian.org>  Tue, 02 May 2017 12:49:27 +0200

httpie (0.9.8-1) unstable; urgency=low

  * The Akamai Technologies paid volunteer days release.
  * New upstream version.
  * Includes updated manpage thanks to Gaetano Guerriero. (Closes: #815881)

 -- Bartosz Fenski <fenio@debian.org>  Fri, 30 Dec 2016 15:39:37 +0100
