## httpie 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-#
+###############################################################################
 # See ./CONTRIBUTING.rst
-#
+###############################################################################
 
 VERSION=$(shell grep __version__ httpie/__init__.py)
 REQUIREMENTS="requirements-dev.txt"
@@ -20,6 +20,17 @@
 
 	@echo
 
+clean:
+	@echo $(TAG)Cleaning up$(END)
+	rm -rf .tox *.egg dist build .coverage .cache .pytest_cache httpie.egg-info
+	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
+	@echo
+
+
+###############################################################################
+# Testing
+###############################################################################
+
 
 test: init
 	@echo $(TAG)Running tests on the current Python interpreter with coverage $(END)
@@ -27,13 +38,18 @@
 	@echo
 
 
-test-tox: init
-	@echo $(TAG)Running tests on all Pythons via Tox$(END)
-	tox
+# test-all is meant to test everything — even this Makefile
+test-all: uninstall-all clean init test test-tox test-dist pycodestyle
 	@echo
 
 
 test-dist: test-sdist test-bdist-wheel
+	@echo
+
+
+test-tox: init
+	@echo $(TAG)Running tests on all Pythons via Tox$(END)
+	tox
 	@echo
 
 
@@ -53,28 +69,39 @@
 	@echo
 
 
-# This tests everything, even this Makefile.
-test-all: uninstall-all clean init test test-tox test-dist
+pycodestyle:
+	which pycodestyle || pip install pycodestyle
+	pycodestyle
+	@echo
+
+
+coveralls:
+	which coveralls || pip install python-coveralls
+	coveralls
+	@echo
+
+
+###############################################################################
+# Publishing to PyPi
+###############################################################################
 
 
 publish: test-all publish-no-test
+
 
 publish-no-test:
 	@echo $(TAG)Testing wheel build an installation$(END)
 	@echo "$(VERSION)"
 	@echo "$(VERSION)" | grep -q "dev" && echo '!!!Not publishing dev version!!!' && exit 1 || echo ok
-	python setup.py register
-	python setup.py sdist upload
-	python setup.py bdist_wheel upload
+	python setup.py sdist bdist_wheel
+	twine upload dist/*
 	@echo
 
 
-clean:
-	@echo $(TAG)Cleaning up$(END)
-	rm -rf .tox *.egg dist build .coverage
-	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
-	@echo
 
+###############################################################################
+# Uninstalling
+###############################################################################
 
 uninstall-httpie:
 	@echo $(TAG)Uninstalling httpie$(END)
@@ -96,5 +123,30 @@
 	- pip uninstall --yes -r $(REQUIREMENTS)
 
 
-homebrew-formula-vars:
-	extras/get-homebrew-formula-vars.py
+###############################################################################
+# Docs
+###############################################################################
+
+pdf:
+	# NOTE: rst2pdf needs to be installed manually and against a Python 2
+	@echo "Converting README.rst to PDF…"
+	rst2pdf \
+		--strip-elements-with-class=no-pdf \
+		README.rst \
+		-o README.pdf
+	@echo "Done"
+	@echo
+
+
+###############################################################################
+# Homebrew
+###############################################################################
+
+brew-deps:
+	extras/brew-deps.py
+
+brew-test:
+	- brew uninstall httpie
+	brew install --build-from-source ./extras/httpie.rb
+	brew test httpie
+	brew audit --strict httpie
