=== debian/changelog ===
httpie (1.0.3-2) unstable; urgency=medium

  * Source only upload.

 -- Bartosz Fenski <fenio@debian.org>  Sat, 05 Oct 2019 10:54:11 +0200

httpie (1.0.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #920214)
    - fixes CVE-2019-10751 (Closes: #940058)
  * Bumped Standards-Version.
  * The Akamai Technologies paid volunteer days release.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 30 Sep 2019 08:29:27 +0200
