=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: httpie
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                dh-python,
@@ -11,8 +11,8 @@
                python3-pkg-resources,
                python3-all,
                python3-docutils
-Standards-Version: 3.9.8
-Homepage: http://httpie.org
+Standards-Version: 4.4.0
+Homepage: https://httpie.org
 
 Package: httpie
 Architecture: all
