=== debian/changelog ===
httpie (2.2.0-2) unstable; urgency=medium

  * Source only upload.

 -- Bartosz Fenski <fenio@debian.org>  Sun, 12 Jul 2020 16:58:08 +0200

httpie (2.2.0-1) unstable; urgency=medium

  * The Akamai Technologies paid volunteer days release.
  * New upstream release (Closes: #950719)
  * Bumped Standards-Version.
  * Bumped DH compatibility level.
  * No longer depends on python2 (Closes: #943128)

 -- Bartosz Fenski <fenio@debian.org>  Thu, 09 Jul 2020 10:52:14 +0200
