=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: web
 Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 13.0.0),
                dh-python,
                python3-setuptools,
                python3-pygments,
                python3-requests (>= 2.5.2),
-               python-argparse,
                python3-pkg-resources,
                python3-all,
                python3-docutils
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://httpie.org
 
 Package: httpie
