## httpie 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 ###############################################################################
 # See ./CONTRIBUTING.rst
 ###############################################################################
+
+.PHONY: build
 
 ROOT_DIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 VERSION=$(shell grep __version__ httpie/__init__.py)
@@ -38,7 +40,7 @@
 	rm -rf $(VENV_ROOT)
 	# Remove symlink for virtualenvwrapper, if we’ve created one.
 	[ -n "$(WORKON_HOME)" -a -L "$(WORKON_HOME)/httpie" -a -f "$(WORKON_HOME)/httpie" ] && rm $(WORKON_HOME)/httpie || true
-	rm -rf .tox *.egg dist build .coverage .cache .pytest_cache httpie.egg-info
+	rm -rf *.egg dist build .coverage .cache .pytest_cache httpie.egg-info
 	find . -name '__pycache__' -delete -o -name '*.pyc' -delete
 	@echo
 
@@ -86,17 +88,11 @@
 
 
 # test-all is meant to test everything — even this Makefile
-test-all: clean install test test-tox test-dist pycodestyle
+test-all: clean install test test-dist pycodestyle
 	@echo
 
 
 test-dist: test-sdist test-bdist-wheel
-	@echo
-
-
-test-tox: uninstall-httpie install
-	@echo $(H1)Running tests on all Pythons via Tox$(H1END)
-	$(VENV_BIN)/tox
 	@echo
 
 
@@ -116,6 +112,9 @@
 	$(VENV_BIN)/http --version
 	@echo
 
+
+twine-check:
+	twine check dist/*
 
 pycodestyle:
 	@echo $(H1)Running pycodestyle$(H1END)
@@ -137,6 +136,11 @@
 ###############################################################################
 
 
+build:
+	rm -rf build/
+	$(VENV_PYTHON) setup.py sdist bdist_wheel
+
+
 publish: test-all publish-no-test
 
 
@@ -144,8 +148,9 @@
 	@echo $(H1)Testing wheel build an installation$(H1END)
 	@echo "$(VERSION)"
 	@echo "$(VERSION)" | grep -q "dev" && echo '!!!Not publishing dev version!!!' && exit 1 || echo ok
-	$(VENV_PYTHON) setup.py sdist bdist_wheel
-	$(VENV_BIN)/twine upload dist/*
+	make build
+	make twine-check
+	$(VENV_BIN)/twine upload --repository=httpie dist/*
 	@echo
 
 
@@ -170,7 +175,6 @@
 ###############################################################################
 
 pdf:
-	# NOTE: rst2pdf needs to be installed manually and against a Python 2
 	@echo "Converting README.rst to PDF…"
 	rst2pdf \
 		--strip-elements-with-class=no-pdf \
