=== debian/changelog ===
httpie (2.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Thu, 17 Jun 2021 09:21:02 +0200
