=== debian/watch ===
version=4
https://github.com/jkbr/httpie/tags .*/(\d[\d\.]+).tar.gz
