## httpie 2.6.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 ###############################################################################
-# See ./CONTRIBUTING.rst
+# See ./CONTRIBUTING.md
 ###############################################################################
 
 .PHONY: build
 
 ROOT_DIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 VERSION=$(shell grep __version__ httpie/__init__.py)
-REQUIREMENTS=requirements-dev.txt
 H1="\n\n\033[0;32m\#\#\# "
 H1END=" \#\#\# \033[0m\n"
 
@@ -26,14 +25,21 @@
 all: uninstall-httpie install test
 
 
-install: venv
+install: venv install-reqs
+
+
+install-reqs:
+	@echo $(H1)Updating package tools$(H1END)
+	$(VENV_PIP) install --upgrade pip wheel
+
 	@echo $(H1)Installing dev requirements$(H1END)
-	$(VENV_PIP) install --upgrade -r $(REQUIREMENTS)
+	$(VENV_PIP) install --upgrade --editable '.[dev]'
 
 	@echo $(H1)Installing HTTPie$(H1END)
 	$(VENV_PIP) install --upgrade --editable .
 
 	@echo
+
 
 clean:
 	@echo $(H1)Cleaning up$(H1END)
@@ -78,17 +84,17 @@
 
 test:
 	@echo $(H1)Running tests$(HEADER_EXTRA)$(H1END)
-	$(VENV_BIN)/py.test $(COV) ./httpie $(COV) ./tests --doctest-modules --verbose ./httpie ./tests
-	@echo
-
-
-test-cover: COV=--cov
+	$(VENV_BIN)/python -m pytest $(COV)
+	@echo
+
+
+test-cover: COV=--cov=httpie --cov=tests
 test-cover: HEADER_EXTRA=' (with coverage)'
 test-cover: test
 
 
 # test-all is meant to test everything — even this Makefile
-test-all: clean install test test-dist pycodestyle
+test-all: clean install test test-dist codestyle
 	@echo
 
 
@@ -116,10 +122,15 @@
 twine-check:
 	twine check dist/*
 
-pycodestyle:
-	@echo $(H1)Running pycodestyle$(H1END)
-	@[ -f $(VENV_BIN)/pycodestyle ] || $(VENV_PIP) install pycodestyle
-	$(VENV_BIN)/pycodestyle httpie/ tests/ extras/ *.py
+
+# Kept for convenience, "make codestyle" is preferred though
+pycodestyle: codestyle
+
+
+codestyle:
+	@echo $(H1)Running flake8$(H1END)
+	@[ -f $(VENV_BIN)/flake8 ] || $(VENV_PIP) install --upgrade --editable '.[dev]'
+	$(VENV_BIN)/flake8 httpie/ tests/ docs/packaging/brew/ *.py
 	@echo
 
 
@@ -129,6 +140,16 @@
 	# $(VENV_BIN)/codecov --required
 	$(VENV_BIN)/codecov
 	@echo
+
+
+doc-check:
+	@echo $(H1)Running documentations checks$(H1END)
+	mdl --git-recurse --style docs/markdownlint.rb .
+
+
+doc-update-install:
+	@echo $(H1)Updating installation instructions in the docs$(H1END)
+	$(VENV_PYTHON) docs/installation/generate.py
 
 
 ###############################################################################
@@ -171,28 +192,21 @@
 
 
 ###############################################################################
-# Docs
-###############################################################################
-
-pdf:
-	@echo "Converting README.rst to PDF…"
-	rst2pdf \
-		--strip-elements-with-class=no-pdf \
-		README.rst \
-		-o README.pdf
-	@echo "Done"
-	@echo
-
-
-###############################################################################
 # Homebrew
 ###############################################################################
 
 brew-deps:
-	extras/brew-deps.py
+	docs/packaging/brew/brew-deps.py
 
 brew-test:
+	@echo $(H1)Uninstalling httpie$(H1END)
 	- brew uninstall httpie
-	brew install --build-from-source ./extras/httpie.rb
+
+	@echo $(H1)Building from source…$(H1END)
+	- brew install --build-from-source ./docs/packaging/brew/httpie.rb
+
+	@echo $(H1)Verifying…$(H1END)
 	brew test httpie
+
+	@echo $(H1)Auditing…$(H1END)
 	brew audit --strict httpie
