=== debian/changelog ===
httpie (2.6.0-1) unstable; urgency=medium

  * The Akamai Technologies paid volunteer days release.
  * New upstream version. (Closes: #993937, #996479)
    - various minor packaging updates due to upstream changes

 -- Bartosz Fenski <fenio@debian.org>  Tue, 28 Dec 2021 10:51:48 +0100
