## httpie 3.2.1

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 install-reqs:
 	@echo $(H1)Updating package tools$(H1END)
-	$(VENV_PIP) install --upgrade pip wheel
+	$(VENV_PIP) install --upgrade pip wheel build
 
 	@echo $(H1)Installing dev requirements$(H1END)
 	$(VENV_PIP) install --upgrade --editable '.[dev]'
@@ -130,7 +130,7 @@
 codestyle:
 	@echo $(H1)Running flake8$(H1END)
 	@[ -f $(VENV_BIN)/flake8 ] || $(VENV_PIP) install --upgrade --editable '.[dev]'
-	$(VENV_BIN)/flake8 httpie/ tests/ docs/packaging/brew/ *.py
+	$(VENV_BIN)/flake8 httpie/ tests/ extras/profiling/ docs/packaging/brew/ *.py
 	@echo
 
 
@@ -147,19 +147,17 @@
 	mdl --git-recurse --style docs/markdownlint.rb .
 
 
-doc-update-install:
-	@echo $(H1)Updating installation instructions in the docs$(H1END)
-	$(VENV_PYTHON) docs/installation/generate.py
-
-
 ###############################################################################
 # Publishing to PyPi
 ###############################################################################
 
 
 build:
-	rm -rf build/
-	$(VENV_PYTHON) setup.py sdist bdist_wheel
+	rm -rf build/ dist/
+	mv httpie/internal/__build_channel__.py httpie/internal/__build_channel__.py.original
+	echo 'BUILD_CHANNEL = "pip"' > httpie/internal/__build_channel__.py
+	$(VENV_PYTHON) -m build --sdist --wheel --outdir dist/
+	mv httpie/internal/__build_channel__.py.original httpie/internal/__build_channel__.py
 
 
 publish: test-all publish-no-test
@@ -203,10 +201,25 @@
 	- brew uninstall httpie
 
 	@echo $(H1)Building from source…$(H1END)
-	- brew install --build-from-source ./docs/packaging/brew/httpie.rb
+	- brew install --HEAD --build-from-source ./docs/packaging/brew/httpie.rb
 
 	@echo $(H1)Verifying…$(H1END)
-	brew test httpie
+	http --version
+	https --version
 
 	@echo $(H1)Auditing…$(H1END)
 	brew audit --strict httpie
+
+###############################################################################
+# Regeneration
+###############################################################################
+
+regen-all: regen-man-pages regen-install-methods
+
+regen-man-pages: install
+	@echo $(H1)Regenerate man pages$(H1END)
+	$(VENV_PYTHON) extras/scripts/generate_man_pages.py
+
+regen-install-methods:
+	@echo $(H1)Updating installation instructions in the docs$(H1END)
+	$(VENV_PYTHON) docs/installation/generate.py
