=== debian/changelog ===
httpie (3.2.1-1) unstable; urgency=medium

  * New upstream version (Closes: #1006651) 
    - fixes two exposure of sensitive information vulnerabilities:
      CVE-2022-0430 (Closes: #1014765)
      CVE-2022-24737 (Closes: #1008011)

 -- Bartosz Fenski <fenio@debian.org>  Tue, 19 Jul 2022 12:06:14 +0200
