=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                python3-pygments,
                python3-requests (>= 2.5.2),
                python3-pkg-resources,
-               python3-all,
-               python3-docutils
+               python3-charset-normalizer,
+               python3-all
 Standards-Version: 4.5.0
-Homepage: https://httpie.org
+Homepage: https://httpie.io
 
 Package: httpie
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-defusedxml, python3-requests-toolbelt, python3-socks
 Description: CLI, cURL-like tool for humans
  HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
  services as human-friendly as possible.
