## httpie 3.2.2

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,26 @@
 export PATH := $(VENV_BIN):$(PATH)
 
 
+
+default: list-tasks
+
+
+###############################################################################
+# Default task to get a list of tasks when `make' is run without args.
+# <https://stackoverflow.com/questions/4219255>
+###############################################################################
+
+list-tasks:
+	@echo Available tasks:
+	@echo ----------------
+	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | grep -E -v -e '^[^[:alnum:]]' -e '^$@$$'
+	@echo
+
+
+###############################################################################
+# Installation
+###############################################################################
+
 all: uninstall-httpie install test
 
 
@@ -33,7 +53,7 @@
 	$(VENV_PIP) install --upgrade pip wheel build
 
 	@echo $(H1)Installing dev requirements$(H1END)
-	$(VENV_PIP) install --upgrade --editable '.[dev]'
+	$(VENV_PIP) install --upgrade '.[dev]' '.[test]'
 
 	@echo $(H1)Installing HTTPie$(H1END)
 	$(VENV_PIP) install --upgrade --editable .
