=== debian/changelog ===
httpie (3.2.2-1) unstable; urgency=medium

  * The Akamai Technologies paid volunteer days release.
  * New upstream version. 

 -- Bartosz Fenski <fenio@debian.org>  Tue, 19 Dec 2023 15:17:23 +0100

httpie (3.2.1-2) unstable; urgency=high

  * d/control:
    - Add Bartosz Fenski as principal uploader.
    - Add Arthur Diniz as secondary uploader.
    - Change maintainer to Debian Python Team.
    - Bump Standards-Version to 4.6.2.
    - Declare Vcs-* fields under python salsa group.
    - Declare Rules-Requires-Root to no.
    - Replace debhelper with debhelper-compat.
    - Removed trailing whitespaces.
  * d/copyright:
    - Add Arthur Diniz.
    - Update format URL.
  * d/changelog: Removed trailing whitespaces.
  * d/compat: Removed.
  * d/patches: Patch to disable update checks. (Closes: #1041792)
  * d/upstream/metadata: Created.
  * d/gbp.conf: Created.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 05 Oct 2023 19:09:08 +0100
