=== debian/control ===
Source: httpie
Section: web
Priority: optional
Uploaders: Bartosz Fenski <fenio@debian.org>,
           Arthur Diniz <arthurbdiniz@gmail.com>
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-pygments,
               python3-requests (>= 2.5.2),
               python3-pkg-resources,
               python3-charset-normalizer,
               python3-all
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/httpie
Vcs-Git: https://salsa.debian.org/python-team/packages/httpie.git
Homepage: https://httpie.io

Package: httpie
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-defusedxml, python3-requests-toolbelt, python3-socks
Description: CLI, cURL-like tool for humans
 HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based
 services as human-friendly as possible.
 .
 HTTPie does so by providing an http command that allows for issuing
 arbitrary HTTP requests using a simple and natural syntax and
 displaying colorized responses.
