## httpie 3.2.4

=== Makefile ===
--- 
+++ 
@@ -124,7 +124,8 @@
 
 test-sdist: clean venv
 	@echo $(H1)Testing sdist build an installation$(H1END)
-	$(VENV_PYTHON) setup.py sdist
+	$(VENV_PIP) install build
+	$(VENV_PYTHON) -m build --sdist
 	$(VENV_PIP) install --force-reinstall --upgrade dist/*.gz
 	$(VENV_BIN)/http --version
 	@echo
@@ -132,8 +133,8 @@
 
 test-bdist-wheel: clean venv
 	@echo $(H1)Testing wheel build an installation$(H1END)
-	$(VENV_PIP) install wheel
-	$(VENV_PYTHON) setup.py bdist_wheel
+	$(VENV_PIP) install build
+	$(VENV_PYTHON) -m build --wheel
 	$(VENV_PIP) install --force-reinstall --upgrade dist/*.whl
 	$(VENV_BIN)/http --version
 	@echo
@@ -231,15 +232,15 @@
 	brew audit --strict httpie
 
 ###############################################################################
-# Regeneration
-###############################################################################
-
-regen-all: regen-man-pages regen-install-methods
-
-regen-man-pages: install
+# Generated content
+###############################################################################
+
+content: man installation-docs
+
+man: install
 	@echo $(H1)Regenerate man pages$(H1END)
 	$(VENV_PYTHON) extras/scripts/generate_man_pages.py
 
-regen-install-methods:
+installation-docs:
 	@echo $(H1)Updating installation instructions in the docs$(H1END)
 	$(VENV_PYTHON) docs/installation/generate.py
