=== debian/changelog ===
httpie (3.2.4-3) unstable; urgency=medium

  * Team upload.
  * Also add a patch to not generate a runtime python3-pkg-resources depency.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 12:11:01 +0100

httpie (3.2.4-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-pkg-resources build-depency (Closes: #1083432)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 11:25:00 +0100

httpie (3.2.4-1) unstable; urgency=medium

  * New upstream version. (Closes: #1081422)
  * d/changelog: Remove trailing-whitespace
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/copyright: Update debian copyright Arthur Diniz author years to 2024
  * d/p/0001-Disable-update-checks.patch: Refresh

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sat, 14 Dec 2024 18:32:17 +0000
