=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
            Arthur Diniz <arthurbdiniz@gmail.com>
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
                python3-pygments,
                python3-requests (>= 2.5.2),
-               python3-pkg-resources,
                python3-charset-normalizer,
                python3-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/httpie
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpie.git
