=== debian/watch ===
version=4
https://github.com/httpie/httpie/tags .*/(\d[\d\.]+).tar.gz
