## httpie edgegrid-2.2.2

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile
#
certifi==2025.7.14
    # via requests
charset-normalizer==3.4.2
    # via
    #   httpie
    #   requests
defusedxml==0.7.1
    # via httpie
edgegrid-python==2.0.2
    # via httpie-edgegrid (setup.py)
httpie==3.2.4
    # via httpie-edgegrid (setup.py)
idna==3.10
    # via requests
markdown-it-py==3.0.0
    # via rich
mdurl==0.1.2
    # via markdown-it-py
multidict==6.4.3
    # via httpie
pygments==2.19.1
    # via
    #   httpie
    #   rich
pysocks==1.7.1
    # via requests
requests[socks]==2.32.3
    # via
    #   edgegrid-python
    #   httpie
    #   requests-toolbelt
requests-toolbelt==1.0.0
    # via
    #   edgegrid-python
    #   httpie
rich==14.0.0
    # via httpie
urllib3==2.5.0
    # via requests

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools
